ST_M
Prev | 8.4. Geometry Accessors | Next

## Name

ST_M — Returns the M coordinate of a Point.

## Synopsis

`float ST_M(`geometry a_point`)`;

## Description

Return the M coordinate of a Point, or NULL if not available. Input must be a Point.

This is not (yet) part of the OGC spec, but is listed here to complete the point coordinate extractor function list.

This method implements the OGC Simple Features Implementation Specification for SQL 1.1.

This method implements the SQL/MM specification.

This function supports 3d and will not drop the z-index.

## Examples

    SELECT ST_M(ST_GeomFromEWKT('POINT(1 2 3 4)'));
     st_m
    ------
    	4
    (1 row)

## See Also

ST_GeomFromEWKT, ST_X, ST_Y, ST_Z

Prev | Up | Next
ST_IsSimple | Home | ST_MemSize